## rsbac-admin 1.5.6~10aatgv1

=== Makefile ===
#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @echo
else
E = @:
endif

all: 
	@echo "Welcome to RSBAC!"
	@echo "To compile all packages, type:"
	@echo "\`\`make build'"
	@echo 
	@echo "To install all packages, as administrator user, type:"
	@echo "\`\`make install' or \`\`make install-strip'"
	@echo 
	@echo "To uninstall all packages, as administrator user, type:"
	@echo "\`\`make uninstall'"
	@echo 
	@echo "To compile or install per package, type:"
	@echo "\`\`make <package>' or \`\`make <package>-install'"
	@echo 
	@echo "with package one of:"
	@echo 
	@echo " ---------------------------------------"
	@echo "|   headers libs nss pam tools   |"
	@echo " ---------------------------------------"
	@echo 
	@echo "Or change to the right directory and use the traditional"
	@echo "make; su; make install"
	@echo
	@echo "To disable User Management (UM) related packages use:"
	@echo "\`\`make build-no-um' then \`\`make inst-no-um' as admininistrator"
	@echo
	@echo "Type make <target> VERBOSE=1 to display compilation lines."
	@echo
	@echo "Be sure to read the \`\`INSTALL' and \`\`README' files for"
	@echo "more information."
	@echo 
	@echo "The RSBAC team - http://www.rsbac.org"


inst-no-um: headers-install libs-install tools-install

build-no-um: libs tools

build: libs pam tools nss
	
install: headers-install libs-install pam-install \
tools-install nss-install

install-strip: headers-install libs-install pam-install \
tools-install-strip nss-install

uninstall: pam-uninstall tools-uninstall nss-uninstall \
libs-uninstall headers-uninstall

clean: libs-clean pam-clean tools-clean nss-clean

distclean : clean

# Display function
E = @echo;echo "$(1)";echo " -------------------------------------"

#
# Building
#

libs:
	$(call E, "Building RSBAC Libraries...")
	@$(MAKE) -C main/libs

nss: libs
	$(call E, "Building RSBAC NSS...")
	@$(MAKE) -C main/nss

pam: libs
	$(call E, "Building RSBAC PAM...")
	@$(MAKE) -C main/pam

tools: libs
	$(call E, "Building RSBAC tools...")
	@$(MAKE) -C main/tools

#
# Installations
#

headers-install:
	$(call E, "Installing RSBAC headers...")
	@$(MAKE) install -C main/headers

libs-install: headers-install libs
	$(call E, "Installing RSBAC libraries...")
	@$(MAKE) install -C main/libs

nss-install: headers-install libs-install nss
	$(call E, "Installing RSBAC NSS...")
	@$(MAKE) install -C main/nss

pam-install: headers-install libs-install pam
	$(call E, "Installing RSBAC PAM...")
	@$(MAKE) install -C main/pam

tools-install: headers-install libs-install tools
	$(call E, "Installing RSBAC tools...")
	@$(MAKE) install -C main/tools

tools-install-strip: headers-install libs-install tools
	$(call E, "Installing RSBAC tools \(stripped\)...")
	@$(MAKE) install-strip -C main/tools

#
# Uninstallations
#

headers-uninstall: nss-uninstall pam-uninstall tools-uninstall libs-uninstall
	$(call E, "Uninstalling RSBAC headers...")
	@-make uninstall -C main/headers

libs-uninstall: nss-uninstall pam-uninstall tools-uninstall
	$(call E, "Uninstalling RSBAC libraries...")
	@-make uninstall clean -C main/libs

nss-uninstall:
	$(call E, "Uninstalling RSBAC NSS...")
	@-make uninstall clean -C main/nss

pam-uninstall:
	$(call E, "Uninstalling RSBAC PAM...")
	@-make uninstall clean -C main/pam

tools-uninstall: libs-uninstall
	$(call E, "Uninstalling RSBAC tools...")
	@-make uninstall clean -C main/tools

#
# Cleaning
#

libs-clean:
	$(call E, "Cleaning RSBAC Libraries...")
	@$(MAKE) distclean -C main/libs

nss-clean:
	$(call E, "Cleaning RSBAC NSS...")
	@$(MAKE) distclean -C main/nss
	
pam-clean:
	$(call E, "Cleaning RSBAC PAM...")
	@$(MAKE) distclean -C main/pam
	
tools-clean:
	$(call E, "Cleaning RSBAC tools...")
	@$(MAKE) distclean -C main/tools

#
# Maintenance
#
OLD_MAJOR_VERSION := 1
OLD_MID_VERSION   := 5
OLD_MINOR_VERSION := 5

NEW_MAJOR_VERSION := 1
NEW_MID_VERSION   := 5
NEW_MINOR_VERSION := 6

OLDVERSION	:= ${OLD_MAJOR_VERSION}.${OLD_MID_VERSION}.${OLD_MINOR_VERSION}
NEWVERSION	:= ${NEW_MAJOR_VERSION}.${NEW_MID_VERSION}.${NEW_MINOR_VERSION}

bump-version:
	@echo "Upgrading version strings ${OLDVERSION} to ${NEWVERSION}"
	@sed -i s/RSBAC\ Administration\ Tools\ ${OLDVERSION}/RSBAC\ Administration\ Tools\ ${NEWVERSION}/ main/tools/src/scripts/*
	@sed -i s/:=\ ${OLDVERSION}/:=\ ${NEWVERSION}/ main/libs/Makefile
	@sed -i s/:=\ ${OLDVERSION}/:=\ ${NEWVERSION}/ main/tools/Makefile
	@sed -i s/define\ RSBAC_VERSION\ \"${OLDVERSION}\"/define\ RSBAC_VERSION\ \"${NEWVERSION}\"/ main/headers/rsbac/types.h
	@sed -i s/define\ RSBAC_VERSION_MINOR\ ${OLD_MINOR_VERSION}/define\ RSBAC_VERSION_MINOR\ ${NEW_MINOR_VERSION}/ main/headers/rsbac/types.h
	@sed -i s/define\ RSBAC_VERSION_MID\ ${OLD_MID_VERSION}/define\ RSBAC_VERSION_MID\ ${NEW_MID_VERSION}/ main/headers/rsbac/types.h
	@sed -i s/define\ RSBAC_VERSION_MAJOR\ ${OLD_MAJOR_VERSION}/define\ RSBAC_VERSION_MAJOR\ ${NEW_MAJOR_VERSION}/ main/headers/rsbac/types.h
	@echo "Don't forget to update main/tools/Changes and debian/changelog"
.PHONY: all build clean distclean

=== main/headers/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

INSTALL		:= install
ECHO		:= $(shell which echo)
ifeq ($(ECHO),)
ECHO		:= echo
endif

DESTDIR		:= 
PREFIX		?= /usr/local
# DIR_INC must end in "/rsbac"
DIR_INC		:= $(PREFIX)/include/rsbac


FILES_HDR	:= $(wildcard rsbac/*.h)

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @$(ECHO) -e " "
else
E = @:
endif

#
# Targets
#

all: install

clean:

distclean: clean
	
install: $(FILES_HDR)
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t $(DESTDIR)/$(DIR_INC)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_INC)
	$(foreach f, $(FILES_HDR), $(ECHO) -e "  INSTALL\t$(f)"; \
	$(INSTALL) -m644 $(f) $(DESTDIR)/$(DIR_INC);)

uninstall:
	$(foreach f, $(FILES_HDR), $(ECHO) -e "  UNINSTALL\t$(f)"; \
	rm $(DESTDIR)/$(DIR_INC:%/rsbac=%/)/$(f);)


.PHONY: all install uninstall clean distclean

=== main/libs/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

VERSION		:= 1.5.6
LIBVERSION 	:= 1

INSTALL		:= install
LIBTOOL 	:= libtool
CC		?= gcc
ECHO		:= $(shell which echo)
ifeq ($(ECHO),)
ECHO		:= echo
endif
HOST		:= $(shell uname -m)

DESTDIR		:= 
PREFIX		?= /usr/local
ifeq ($(DIR_LIBS),)
LIBDIR		?= $(PREFIX)/lib
else
LIBDIR		?= $(DIR_LIBS)
endif
LOCALEDIR	:= $(PREFIX)/share/locale

RSBACLIB 	:= librsbac.la

NLS		:= 1

CFLAGS		+= -fPIC -O2 -fomit-frame-pointer -Wall -D_FILE_OFFSET_BITS=64
CFLAGS		+= -I../headers -I/usr/include -I/usr/local/include  \
		   -I$(PREFIX)/include
LDFLAGS		+=
DEFINES		:= -DPACKAGE=\"rsbac-tools\" \
                   -DVERSION=\"$(VERSION)\" \
		   -DLOCALEDIR=\"$(LOCALEDIR)\" \
		   -DENABLE_NLS=$(NLS)

QUIET 		:= > /dev/null

LIBS		:= 

ARCH            := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
		     -e s/arm.*/arm/ -e s/sa110/arm/ \
		     -e s/s390x/s390/ -e s/parisc64/parisc/ )

FILES_LIBS	:= $(wildcard helpers/*.c)

#
# Architecture checks
#

ASM_DIR		:= asm-arches/asm-$(ARCH)/unistd.h

CFLAGS		+= -include ./$(ASM_DIR)

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @$(ECHO) -e " "
else
QUIET =
E = @:
endif

#
# Targets
#

all: $(RSBACLIB)

$(RSBACLIB): $(FILES_LIBS)
	$(foreach f, $(FILES_LIBS), $(ECHO) -e "  CC\t\t$(f)"; \
	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) -c $(f) $(QUIET) -o $(f:.c=.lo);)
	$(E) "LD\t\t$(RSBACLIB)"
	$(LIBTOOL) --tag=CC --mode=link $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) $(LIBS) \
	-o $@ $(FILES_LIBS:.c=.lo) -rpath $(LIBDIR) -version-info $(LIBVERSION) \
	$(QUIET)
        
clean:
	$(E) "CLEAN\t\t$(RSBACLIB) librsbac.a"
	rm -f $(RSBACLIB) librsbac.a
	$(E) "CLEAN\t\tLibtool objects"
	rm -rf $(FILES_LIBS:.c=.lo) $(FILES_LIBS:.c=.o) helpers/.libs
	rm -rf .libs

distclean: clean
	
install: all
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t$(LIBDIR)"
	$(INSTALL) -d $(DESTDIR)/$(LIBDIR)
	$(E) "INSTALL\t$(RSBACLIB)"
	$(LIBTOOL) --tag=CC --mode=install install -c $(RSBACLIB) \
	$(DESTDIR)/$(LIBDIR)/$(RSBACLIB) $(QUIET)
	$(E) "LIBTOOL\t$(RSBACLIB)"
	$(LIBTOOL) --tag=CC -n --mode=finish $(DESTDIR)/$(LIBDIR) $(QUIET)

uninstall:
	$(E) "UNINSTALL\t $(LIBDIR)/$(RSBACLIB) \
	$(LIBDIR)/librsbac.so $(LIBDIR)/librsbac.a"
	$(LIBTOOL) --tag=CC --mode=uninstall rm \
	$(DESTDIR)/$(LIBDIR)/$(RSBACLIB) $(QUIET)


.PHONY: all clean distclean

=== main/nss/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration

# See
# http://www.gnu.org/software/libtool/manual.html#Versioning
# For managing version information..
LIBVERSION	:= 2

INSTALL		:= install
LIBTOOL		:= libtool
CC		?= gcc
ECHO		:= $(shell which echo)
ifeq ($(ECHO),)
ECHO		:= echo
endif

DESTDIR		:= 
PREFIX		?= /usr/local
ifeq ($(DIR_NSS),)
LIBDIR		?= $(PREFIX)/lib
else
LIBDIR		?= $(DIR_NSS)
endif

CFLAGS		+= -O2 -fomit-frame-pointer -Wall -D_FILE_OFFSET_BITS=64
CFLAGS		+= -I../headers -I/usr/include -I/usr/local/include \
		   -I$(PREFIX)/include
LDFLAGS		+=

LIBS		:= -L../libs -L../libs/.libs -L$(PREFIX)/lib -lrsbac

FILES_NSS	:= $(wildcard *.c)

NSS_LIB		:= libnss_rsbac.la

QUIET		:= > /dev/null

DVERSION	:= 1.0.1

DPACKAGE	:= libnss-rsbac

DEFINES		:= -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"$(DPACKAGE)\" -DVERSION=\"$(DVERSION)\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_UNISTD_H=1 -DHAVE_NSS_H=1 -DHAVE_LIBRSBAC=1 -DHAVE_DLFCN_H=1 -I. -I. -DLIBDIR=\"$(LIBDIR)\" -DSYSCONFDIR=\"$(PREFIX)/etc\" -D_GNU_SOURCE

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @$(ECHO) -e " "
else
QUIET = 
E = @:
endif

#
# Targets
#

all: $(NSS_LIB)

$(NSS_LIB): $(FILES_NSS)
	$(E) "CC\t\t$(FILES_NSS)"
	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) -c $< $(QUIET)
	$(E) "LD\t\t$(NSS_LIB)"
	$(LIBTOOL) --tag=CC --mode=link $(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) \
	-o $@ $(FILES_NSS:.c=.lo) -rpath $(LIBDIR) -version-info $(LIBVERSION) $(LIBS) \
	$(QUIET)

clean:
	$(E) "CLEAN\t\tinterface.o"
	rm -f interface.o $(FILES_NSS:.c=.o)
	$(E) "CLEAN\t\tinterface.lo"
	rm -f interface.lo

distclean: clean
	$(E) "CLEAN\t\t$(NSS_LIB)"
	rm -f $(NSS_LIB)
	rm -f $(SNSS_LIB) libnss_rsbac.so libnss_rsbac.so.2
	$(E) "CLEAN\t\tlibtool files"
	rm -rf .libs .deps

install: $(NSS_LIB)
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t$(LIBDIR)"
	$(INSTALL) -d $(DESTDIR)/$(LIBDIR) $(QUIET)
	$(E) "INSTALL\t$(NSS_LIB)"
	$(LIBTOOL) --tag=CC --mode=install install -c $(NSS_LIB) \
	$(DESTDIR)/$(LIBDIR) $(QUIET)
	$(E) "INSTALL\t$(NSS_LIB)"
	$(LIBTOOL) --tag=CC -n --mode=finish $(DESTDIR)/$(LIBDIR) $(QUIET)

uninstall:
	$(E) "UNINSTALL\t $(LIBDIR)/$(NSS_LIB)"
	$(LIBTOOL) --tag=CC --mode=uninstall rm \
	$(DESTDIR)/$(LIBDIR)/$(NSS_LIB) $(QUIET)


.PHONY: all clean distclean

=== main/pam/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

VERSION		:= 1.0
PACKAGE		:= pam_rsbac

INSTALL		:= install
CC		?= gcc
MSGFMT		:= msgfmt
ECHO		:= $(shell which echo)
ifeq ($(ECHO),)
ECHO		:= echo
endif
HOST		:= $(shell uname -m)

DESTDIR		?=
PREFIX		?= /usr/local
ifeq ($(HOST), x86_64)
LIBDIR		:= /lib64
else
LIBDIR		:= /lib
endif
DIR_PAM		:= $(LIBDIR)/security
LOCALEDIR	:= $(PREFIX)/share/locale
DIR_PO		:= de fr

NLS		:= 1
RSBAC_PROMPT	:= 0

CFLAGS		+= -fPIC -O2 -fomit-frame-pointer -Wall -D_FILE_OFFSET_BITS=64
CFLAGS		+= -shared -I../headers -I/usr/include -I/usr/local/include \
		   -I$(PREFIX)/include
LDFLAGS		+=

DEFINES		:= -DPACKAGE=\"$(PACKAGE)\"

ifeq ($(RSBAC_PROMPT), 1)
DEFINES 	+= -DENABLE_RSBAC_PROMPT
endif
ifeq ($(NLS), 1)
DEFINES		+= -DENABLE_NLS
endif

LIBS		:= -L../libs/.libs -L$(PREFIX)/lib -lrsbac

FILES_PAM	:= $(wildcard *.c)
FILES_PO	:= $(wildcard po/*.po)

#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @$(ECHO) -e " "
else
E = @:
endif

#
# Targets
#

all: $(FILES_PAM:.c=.so) $(FILES_PO:.po=.mo)
$(FILES_PAM:.c=.so): $(FILES_PAM)
	$(foreach f, $(FILES_PAM), $(ECHO) -e "  LIB\t\t$(f)"; \
	$(CC) $(LDFLAGS) $(CFLAGS) $(DEFINES) -o $(f:.c=.so) $(f) $(LIBS);)

$(FILES_PO:.po=.mo): $(FILES_PO)
ifeq ($(NLS), 1)
	$(foreach f, $(FILES_PO), $(ECHO) -e "  PO\t\t$(f)"; \
	$(MSGFMT) -o $(f:.po=.mo) $(f);)
else
	@touch $@
endif

clean:
	$(E) "CLEAN\t\t$(FILES_PAM:.c=.so)"
	rm -f $(FILES_PAM:.c=.so)

distclean: clean
	
install: $(FILES_PAM:.c=.so)
	$(E) "INTO\t\t$(DESTDIR)"
	$(E) "DIR\t\t$(DIR_PAM)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_PAM)
	$(E) "INSTALL\t$(FILES_PAM:.c=.so)"
	$(INSTALL) -m755 $(FILES_PAM:.c=.so) $(DESTDIR)/$(DIR_PAM)
ifeq ($(NLS), 1)
	$(E) "DIR\t\t$(LOCALEDIR)"
	$(foreach f, $(DIR_PO), $(INSTALL) -d $(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES; \
	$(INSTALL) -d $(DESTDIR)/$(LOCALEDIR)/$(f)/LC_TIME;)
	$(E) "INSTALL\t$(DIR_PO)"
	$(foreach f, $(DIR_PO), \
	$(INSTALL) -m644 po/$(f).mo \
	$(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES/$(PACKAGE).mo; \
	$(INSTALL) -m644 po/$(f).mo \
	$(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES/$(PACKAGE)-$(VERSION).mo;)
endif

uninstall:
	$(foreach f, $(FILES_PAM:.c=.so), $(ECHO) -e "  UNINSTALL\t$(f)"; \
	rm -f $(DESTDIR)/$(DIR_PAM)/$(f);)
ifeq ($(NLS), 1)
	$(foreach f, $(DIR_PO), $(ECHO) -e "  UNINSTALL\t$(f)"; rm -f po/$(f).mo \
	$(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES/$(PACKAGE).mo;)
endif	

# Re-create the messages.po file
nls-messages:
	$(E) "XGETTEXT\t\tGenerating po/messages.tpo"
	xgettext -E --keyword=_ --keyword=N_ -p po -o messages.tpo *.c

# Merges translations
nls-merge-keep: $(FILES_PO)
	$(foreach f, $(FILES_PO), $(ECHO) -e "  MSGMERGE\t\tMerging $(f)"; \
	msgmerge -o $(f).new $(f) po/messages.tpo $(QUIET);)
	$(E) "MSGMERGE\t\tGenerated: $(FILES_PO:.po=.po.new)"

nls-merge-update: $(FILES_PO)
	$(foreach f, $(FILES_PO), $(ECHO) -e "  MSGMERGE\t\tMerging $(f)"; \
	msgmerge -U $(f) po/messages.tpo $(QUIET);)
	$(E) "MSGMERGE\t\tUpdated: $(FILES_PO)"

.PHONY: all clean distclean uninstall

=== main/tools/Makefile ===
#!/usr/bin/make -f
# Licensed under the terms of the GPLv2
# Guillaume Destuynder <kang@rsbac.org>

#
# Configuration
#

VERSION		:= 1.5.6
PACKAGE		:= rsbac-tools

INSTALL		?= install
MSGFMT		?= msgfmt
STRIP		?= strip
HELP2MAN	?= help2man
CC		?= gcc
GZIP		?= gzip
CP		?= cp
ECHO		?= $(shell which echo)
ifeq ($(ECHO),)
ECHO		= echo
endif

DESTDIR		?=
PREFIX		?= /usr/local
LOCALEDIR	?= $(PREFIX)/share/locale
DIR_PO		:= de ru fr
DIR_DOC		:= $(PREFIX)/share/doc/$(PACKAGE)-$(VERSION)
DIR_MAN		:= $(PREFIX)/share/man/man1
DIR_BIN		?= $(PREFIX)/bin
DIR_RBIN	?= /bin

NLS		:= 1

CFLAGS		+= -fPIC -O2 -fomit-frame-pointer -Wall -D_FILE_OFFSET_BITS=64
CFLAGS		+= -Isrc -I../headers
LDFLAGS		+=
DEFINES		:= -DPACKAGE=\"$(PACKAGE)\" \
                   -DVERSION=\"$(VERSION)\" \
		   -DLOCALEDIR=\"$(LOCALEDIR)\" \
		   -DENABLE_NLS=$(NLS)

LIBS		:= -L../libs/.libs -lrsbac

QUIET		:=  > /dev/null 2>&1

include module.mk

FILES_MAN	:= $(wildcard man/*1)
FILES_PO	:= $(wildcard po/*.po)
DIR_EXAMPLE	:= examples
#
# Nice make. Use make VERBOSE=1 to verbose compilation.
#
ifneq ($(VERBOSE), 1)
.SILENT:
E = @$(ECHO) -e " "
else
QUIET =
E = @:
endif

#
# Targets
#

all: $(FILES_TOOLS:.c=) $(FILES_PO:.po=.mo)

$(FILES_TOOLS:.c=): % : %.c
	$(E) "CC\t\t$@"
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFINES) $@.c -o $@ $(LIBS)

$(FILES_PO:.po=.mo): $(FILES_PO)
ifeq ($(NLS), 1)
	$(foreach f, $(FILES_PO), $(ECHO) -e "  PO\t\t$(f)"; \
	$(MSGFMT) -o $(f:.po=.mo) $(f);)
else
	@touch $@
endif

clean:
	$(foreach f, $(FILES_TOOLS:.c=), $(ECHO) -e "  CLEAN\t\t$(f)"; \
	rm -f $(f);)
	$(E) "CLEAN\t\t$(FILES_PO:.po=.mo)"
	rm -f $(FILES_PO:.po=.mo)

distclean: clean
	$(E) "CLEAN\t\t$(FILES_PO:.po=.po~)"
	rm -f $(FILES_PO:.po=.po~)
	$(E) "CLEAN\t\t$(FILES_MAN:.1=.1.gz)"
	rm -f $(FILES_MAN:.1=.1.gz)
	
install: all
	$(E) "INTO\t\t$(DESTDIR) ($(PREFIX))"
	$(E) "DIR\t\t$(DIR_BIN) $(DIR_MAN) $(DIR_DOC) $(DIR_RBIN)"
	$(INSTALL) -d $(DESTDIR)/$(DIR_BIN) $(DESTDIR)/$(DIR_MAN) $(DESTDIR)/$(DIR_DOC) $(DESTDIR)/$(DIR_RBIN)
ifeq ($(NLS), 1)
	$(E) "DIR\t\t$(LOCALEDIR)"
	$(foreach f, $(DIR_PO), $(INSTALL) -d $(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES; \
        $(INSTALL) -d $(DESTDIR)/$(LOCALEDIR)/$(f)/LC_TIME;)
	$(E) "INSTALL\t$(DIR_PO)"
	$(foreach f, $(DIR_PO), \
	$(INSTALL) -m644 po/$(f).mo \
	$(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES/$(PACKAGE).mo; \
	$(INSTALL) -m644 po/$(f).mo \
	$(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES/$(PACKAGE)-$(VERSION).mo;)
endif
	# /bin
	$(foreach f, $(PROGS_BIN), $(ECHO) -e "  INSTALL\t$(f)"; \
	$(INSTALL) -m755 $(f) $(DESTDIR)/$(DIR_RBIN);)
	# /usr/bin
	$(foreach f, $(PROGS_USR_BIN), $(ECHO) -e "  INSTALL\t$(f)"; \
	$(INSTALL) -m755 $(f) $(DESTDIR)/$(DIR_BIN);)
	$(foreach f, $(FILES_MAN), $(ECHO) -e "  GZIP\t\t$(f)"; \
	$(GZIP) -9c $(f) > $(f:.1=.1.gz);)
	$(foreach f, $(FILES_MAN:.1=.1.gz), $(ECHO) -e "  INSTALL\t$(f)"; \
	$(INSTALL) -m 644 $(f) $(DESTDIR)/$(DIR_MAN);)
	$(E) "INSTALL\t\tAUTHORS INSTALL README COPYING Changes"
	$(INSTALL) -m644 AUTHORS INSTALL README COPYING Changes $(DESTDIR)/$(DIR_DOC)
	$(E) "INSTALL\t\t $(DIR_EXAMPLE)"
	$(CP) -r $(DIR_EXAMPLE) $(DESTDIR)/$(DIR_DOC)

install-strip: install
	$(foreach f,  $(subst scripts/,,$(subst src/,,$(PROGRAMS))), $(ECHO) -e "  STRIP\t\t$(f)"; \
	$(STRIP) -s $(DESTDIR)/$(DIR_BIN)/$(f);) \
	$(foreach f,  $(subst scripts/,,$(subst src/,,$(PROGS_BIN))), $(ECHO) -e "  STRIP\t\t$(f)"; \
	$(STRIP) -s $(DESTDIR)/$(DIR_RBIN)/$(f);)
	
uninstall:
ifeq ($(NLS), 1)
	$(foreach f, $(DIR_PO), $(ECHO) -e "  UNINSTALL\t$(f)"; rm -f po/$(f).mo \
	$(DESTDIR)/$(LOCALEDIR)/$(f)/LC_MESSAGES/$(PACKAGE).mo;)
endif
	# /bin
	$(foreach f, $(subst scripts/,,$(subst src/,,$(PROGS_BIN))), $(ECHO) -e "  UNINSTALL\t$(f)"; \
	rm -f $(DESTDIR)/$(DIR_RBIN)/$(f);)
	# /usr/bin
	$(foreach f, $(subst scripts/,,$(subst src/,,$(PROGS_USR_BIN))), $(ECHO) -e "  UNINSTALL\t$(f)"; \
	rm -f $(DESTDIR)/$(DIR_BIN)/$(f);)
	$(E) "UNINSTALL\t$(FILES_MAN)"
	rm -f $(DESTDIR)/$(DIR_MAN)/$(FILES_MAN)

#
# Man pages generation
#

man-pages:
	$(E) "HELP2MAN\t\tGenerating man pages"
	$(foreach f, $(subst src/,,$(PROGRAMS)), $(ECHO) -e "  HELP2MAN\t\t$(f)"; \
	$(HELP2MAN) src/$(f);)

#
# gettext translation stuff
#

# Re-create the messages.po file
nls-messages:
	$(E) "XGETTEXT\t\tGenerating po/messages.tpo"
	xgettext -p po -o messages.tpo src/*.c

# Merges translations
nls-merge-keep: $(FILES_PO)
	$(foreach f, $(FILES_PO), $(ECHO) -e "  MSGMERGE\t\tMerging $(f)"; \
	msgmerge -o $(f).new $(f) po/messages.tpo $(QUIET);)
	$(E) "MSGMERGE\t\tGenerated: $(FILES_PO:.po=.po.new)"

nls-merge-update: $(FILES_PO)
	$(foreach f, $(FILES_PO), $(ECHO) -e "  MSGMERGE\t\tMerging $(f)"; \
	msgmerge -U $(f) po/messages.tpo $(QUIET);)
	$(E) "MSGMERGE\t\tUpdated: $(FILES_PO)"


.PHONY: all clean distclean uninstall install nls-messages

=== main/tools/examples/reg/Makefile ===
#
# Makefile for rsbac decision module example. 
#
# Author and (c) 1999-2009 Amon Ott <ao@rsbac.org>
#

# Set this to your kernel directory

# comment out, if kernel is not SMP or has no MODVERSIONS
#SMP=1
#MODVERSIONS=1

DESTDIR		:=
PREFIX		:= $(DESTDIR)/usr/local

# comment out, if RSBAC kernel has no PROC support
CONFIG_RSBAC_PROC := 1

ifeq ($(KERN), "")
KERN		:= /lib/modules/`uname -r`/
endif
ifeq ($(KERN), "")
KERNSOURCE	:= $(KERN)/source
endif
MODDIR		:= $(KERN)/misc
KERNVER		:= $(shell uname -r|cut -d "." -f1,2)
PWD		:= $(shell pwd)
# set this to your bin dir
BINDIR		:= $(PREFIX)/bin

# ----- nothing should be changed below -----
#HELPPATH = $(KERNELDIR)/rsbac/help

CC		?= gcc

ifeq ($(KERNVER), 2.4)
CFLAGS	+= -O2 -DCONFIG_RSBAC
CFLAGS 	+= -I$(PREFIX)/include -I/usr/include -I $(KERNSOURCE)/include
else
EXTRA_CFLAGS	+= -O2 -DCONFIG_RSBAC
EXTRA_CFLAGS 	+= -I$(PREFIX)/include -I/usr/include -I $(KERNSOURCE)/include
endif

SFLAGS 		+= -lrsbac
MFLAGS 		+= -D__KERNEL__ -DMODULE -DCONFIG_RSBAC_REG

ifdef SMP
MFLAGS		+=-D__SMP__
endif
ifdef MODVERSIONS
MFLAGS 		+= -DMODVERSIONS
MFLAGS 		+= -include -I$(PREFIX)/include/linux/modversions.h \
		-I/usr/include/linux/modversions.h
endif

ifdef CONFIG_RSBAC_PROC
MFLAGS		+=-DCONFIG_RSBAC_PROC
endif

obj-m 		:= reg_sample1.o reg_sample3.o rbac.o
MODULES		:= reg_sample1.o reg_sample3.o rbac.o
PROG		:= reg_syscall rbac_admin

LIBS 		:=

all :
ifeq ($(KERNVER), 2.4)
	set -e
	for i in $(MODULES) ; do $(MAKE) CFLAGS="$(CFLAGS) $(MFLAGS)" $$i ; done
else
	@make -C $(KERNSOURCE) SUBDIRS=$(PWD) modules
endif
	for i in $(PROG) ; do gcc $(CFLAGS) $(SFLAGS) $$i.c -o $$i ; done

install : $(MODULES) $(PROG)
	-bash -c "if test ! -d $(MODDIR) ; then mkdir $(MODDIR) ; fi"
	install -m 644 $(MODULES) $(MODDIR)
	-depmod -a
	-bash -c "if test ! -d $(BINDIR) ; then mkdir $(BINDIR) ; fi"
	install -m 644 $(PROG) $(BINDIR)

uninstall :
	-bash -c "cd $(MODDIR) && rm $(MODULES)"
	-bash -c "cd $(BINDIR) && rm $(PROG)"

clean :
ifeq ($(KERNVER), 2.4)
	rm -f $(MODULES) $(PROG)
else
	@make -C $(KERNSOURCE) SUBDIRS=$(PWD) clean
endif

=== debian/changelog ===
rsbac-admin (1.5.6~10aatgv1) unstable; urgency=low

  * Change version to contain mp string

 -- Amon Ott <ao@m-privacy.de>  Wed, 18 Jun 2025 12:31:00 +0200

rsbac-admin (1.5.6~10) unstable; urgency=low

  * Rebuild with separate SBOM packages

 -- Amon Ott <ao@m-privacy.de>  Thu, 16 Jan 2025 13:30:00 +0100

rsbac-admin (1.5.6~9) unstable; urgency=low

  * Rebuild with sbom data

 -- Amon Ott <ao@m-privacy.de>  Tue, 07 Jan 2025 15:01:00 +0100

rsbac-admin (1.5.6~8) unstable; urgency=low

  * RSBAC git commit 636104ce2efab7bad0b0e4527ad2e9dccc7c1a52
    Add missing R_APPEND_OPEN to RSBAC_IPC_REQUEST_VECTOR

 -- Amon Ott <ao@m-privacy.de>  Fri, 06 Dec 2024 09:44:00 +0100

rsbac-admin (1.5.6~7) unstable; urgency=low

  * debian/rules:
    - no longer build with gcc-9
  * debian/control:
    - do not Build-Depend on libctf0, gcc-9
  * RSBAC git commit b7e995a7696bf5782e54e320862f095ffa01fd5d
    main/tools/Makefile: put $(LIBS) last in CC line to fix linker problems
  * RSBAC git commit 275a3ea62ff0767f852a9abc3f7cf7e0010f1391
    Fix compile warnings in acl_rights, acl_tlist, rc_get_eff_rights_fd, rsbac_useradd
  * RSBAC git commit 026a14672cb30d3656224bfe98b1cab43f07269f
    Extend RSBAC_IPC_REQUEST_VECTOR with TRACE, TRUNCATE, MAP_EXEC
  * RSBAC git commit 60c80c5d38a5bb03a12bc4e889f125eb5b13fe64
    In nss and pam Makefile, put $(LIBS) last in CC line to fix linker problems

 -- Amon Ott <ao@m-privacy.de>  Thu, 14 Nov 2024 12:02:00 +0100

rsbac-admin (1.5.6~6) unstable; urgency=low

  * RSBAC git commit c38afa51f698ea2eac6f17b150f3ffcb8de983eb
    Add request types GET_XATTR and MODIFY_XATTR for FD targets.

 -- Amon Ott <ao@m-privacy.de>  Mon, 28 Oct 2024 13:17:00 +0100

rsbac-admin (1.5.6~5) unstable; urgency=low

  * RSBAC git commit beae8d86826fcbee62fcd91d3f7b2538861715ff
    rc_set_item: avoid dead loop when last param in a stdin line is empty.
    Also, improve verbose output in stdin mode.

 -- Amon Ott <ao@m-privacy.de>  Fri, 21 Apr 2023 11:09:00 +0200

rsbac-admin (1.5.6~4) unstable; urgency=low

  * debian/rules:
    - remove obsolete programs
  * New debian/rsbac-admin.postinst:
    - rm -f /usr/bin/backup_all_no_acl
  * debian/rsbac-admin.install:
    - comment backup_all, *acl*, mac_*, user_aci
  * debian/rsbac-admin.links:
    - comment backup_all, *acl*, mac_*, user_aci

 -- Amon Ott <ao@m-privacy.de>  Thu, 16 Feb 2023 12:24:00 +0100

rsbac-admin (1.5.6~3) unstable; urgency=low

  * debian/rsbac.conf:
    - RSBACMOD="GEN FF RC AUTH CAP JAIL RES UDF"

 -- Amon Ott <ao@m-privacy.de>  Wed, 16 Feb 2022 09:49:00 +0100

rsbac-admin (1.5.6~2) unstable; urgency=low

  * RSBAC git commit 8271d7d0d537009b3ad68a483246cfa9a19959e6
    Remove broken rklogd.
  * RSBAC git commit f9184a30fff803044cca4a3ff522c238bc32e13a
    Always build against in-tree libs, add TRACE request for FD and DEV targets.
  * RSBAC git commit be7aee5afb87ed65196187223f926637993642dd
    Remove leftovers of RSBAC klogd.
  * debian/rules:
    - ln -sf gcc-9 /usr/bin/gcc
  * debian/control:
    - Build-Depend on gcc-9

 -- Amon Ott <ao@m-privacy.de>  Mon, 06 Dec 2021 14:48:00 +0100

rsbac-admin (1.5.6~1) unstable; urgency=low

  * RSBAC git commit 42da9abc5a63143c1b463aea2ca89846cfc9e04d
    Add IPC memfd target and bump version to 1.5.6 to reflect that.
    Add RENAME to IPC request group.

 -- Amon Ott <ao@m-privacy.de>  Wed, 22 Sep 2021 08:20:00 +0200

rsbac-admin (1.5.5~10) unstable; urgency=low

  * debian/control:
    - explicitely depend some packages on librsbac1 (= ${binary:Version})

 -- Amon Ott <ao@m-privacy.de>  Tue, 22 Jun 2021 12:26:00 +0200

rsbac-admin (1.5.5~9) unstable; urgency=low

  * debian/control:
    - build package rsbac-admin for amd64 only

 -- Amon Ott <ao@m-privacy.de>  Mon, 21 Jun 2021 08:21:00 +0200

rsbac-admin (1.5.5~8) unstable; urgency=low

  * RSBAC git commit 6ebe6a622cd277e9472234b339a73fcb9531fafc
    attr_get_user: add param -Z to truncate names at first invalid UTF-8 char

 -- Amon Ott <ao@m-privacy.de>  Wed, 16 Jun 2021 11:28:00 +0200

rsbac-admin (1.5.5~7) unstable; urgency=low

  * RSBAC git commit 557743b2f3b925dc672997731ddb977645e8e727
    rsbac_usershow: add param -Z to truncate all names at first invalid UTF-8 char
    Also skip users with invalid usernames in lists.

 -- Amon Ott <ao@m-privacy.de>  Wed, 16 Jun 2021 09:45:00 +0200

rsbac-admin (1.5.5~6) unstable; urgency=low

  * RSBAC git commit 8d4952bbf7178706d7bc41d7d407c75ed241ea85
    rsbac_usershow: add parameter -d to count all users to be listed

 -- Amon Ott <ao@m-privacy.de>  Fri, 04 Jun 2021 07:49:00 +0200

rsbac-admin (1.5.5~5) unstable; urgency=low

  * RSBAC git commit a5d5fb1980502f3145e83db09a5f60e929745d3a
    rsbac_usershow: add "-i string" to only list users with string in name or fullname

 -- Amon Ott <ao@m-privacy.de>  Wed, 02 Jun 2021 13:55:00 +0200

rsbac-admin (1.5.5~4) unstable; urgency=low

  * debian/rules:
    - do not build rklogd
  * RSBAC git b52c7c94c7fa57ee033cbe77685f96c883192e16
    rklogd, rklogd-viewer: compile fixes
  * RSBAC git 908e48b15d29f69ef181b08abfd89e6dd3070d81
    rsbac_usershow: add parameters -c and -C for partial or full CSV lists of users.
    Add parameter -o to append :pseudo to CSV list.
    Add parameters -n and -x to set min and max uids to list.
    Add parameter -X n to set extra uid to list, can be set max. 20 times
  * RSBAC git a5e2244073b2dc5ee45d874b6e8167df187070bd
    rsbac_usershow: add parameter -Y to skip uids from all user list

 -- Amon Ott <ao@m-privacy.de>  Wed, 02 Jun 2021 12:42:00 +0200

rsbac-admin (1.5.5~3) unstable; urgency=low

  * RSBAC git afff3b74be800a8213b27a895d7a35bbae34e7f8
    Also support very old CAP bitstring length 29 for backwards compatibility.

 -- Amon Ott <ao@m-privacy.de>  Wed, 24 Mar 2021 09:43:00 +0100

rsbac-admin (1.5.5~2) unstable; urgency=low

  * RSBAC git aefcf0da5f0ecab4ad61556cffddd654c26e4cb2
    Support capabilities up to CHECKPOINT_RESTORE.



=== debian/control ===
Source: rsbac-admin
Section: admin
Priority: optional
Maintainer: Amon Ott <ao@m-privacy.de>
Build-Depends: debhelper (>= 5.0.0), libpam-dev, libncurses5-dev, libtool, libtool-bin
Standards-Version: 3.7.3
Homepage: http://www.rsbac.org

Package: rsbac-admin
Architecture: amd64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, librsbac1 (= ${binary:Version}), dialog, less
Description: Rule Set Based Access Control administrative utilities
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 The rsbac-admin utilities provide a way to set security properties for
 these modules. You need these utilities to be able to use these advanced
 security functions.

Package: librsbac1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}
Description: Rule Set Based Access Control administrative utilities
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the runtime shared library, used by all programs which
 interact with the RSBAC kernel code in one way or another.

Package: librsbac-dev
Section: libdevel
Architecture: any
Depends: librsbac1 (= ${binary:Version}), libnss-rsbac2 (= ${binary:Version}), libc6-dev, linux-kernel-headers
Conflicts: rsbac-dev (<< 1.3.5)
Description: RSBAC development library
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the library you need to develop programs for RSBAC.

Package: rsbac-dev
Architecture: all
Depends: librsbac-dev
Description: RSBAC development library - Transition package
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.

Package: libpam-rsbac
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, librsbac1 (= ${binary:Version})
Conflicts: rsbac-pam (<< 1.3.5)
Description: RSBAC PAM module
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC PAM module to use RSBAC User Management.

Package: rsbac-pam
Architecture: all
Depends: libpam-rsbac
Description: RSBAC PAM module - Transition package
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.

Package: libnss-rsbac2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, librsbac1 (= ${binary:Version})
Conflicts: rsbac-nss
Description: RSBAC NSS module
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains the RSBAC NSS module to use RSBAC User Management.

Package: rsbac-doc
Section: doc
Architecture: all
Description: RSBAC documentation
 RSBAC (Rule Set Based Access Control) is a kernel patch which adds several
 mandatory access models to the Linux kernel. These models can be used to
 enhance the security of a Linux system.
 .
 This package contains RSBAC documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS += -Wall -g -D_FILE_OFFSET_BITS=64

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif

# m-privacy
export VERBOSE = 1
export CFLAGS += -march=x86-64 -mtune=generic -flto=16 -ffat-lto-objects
export CXXFLAGS += -march=x86-64 -mtune=generic -flto=16 -ffat-lto-objects
export LDFLAGS += -march=x86-64 -mtune=generic -flto=16 -ffat-lto-objects

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
#	ln -sf gcc-9 /usr/bin/gcc
	$(MAKE) VERBOSE=1 PREFIX=/usr DIR_PAM=/lib/$(DEB_HOST_MULTIARCH)/security DIR_LIBS=/lib/$(DEB_HOST_MULTIARCH) LIBDIR=/lib/$(DEB_HOST_MULTIARCH) libs pam tools nss
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) distclean

	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s

	$(MAKE) headers-install libs-install pam-install tools-install nss-install \
		PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp DIR_PAM=/lib/$(DEB_HOST_MULTIARCH)/security DIR_LIBS=/lib/$(DEB_HOST_MULTIARCH) LIBDIR=/lib/$(DEB_HOST_MULTIARCH)

	# Installing rsbac.conf
	mkdir -p $(CURDIR)/debian/tmp/etc
	install -m 644 debian/rsbac.conf $(CURDIR)/debian/tmp/etc
	# Move critical libraries to /lib (and link from /usr/lib for compiling)
#	mv $(CURDIR)/debian/tmp/usr/lib/librsbac*.so* $(CURDIR)/debian/tmp/lib
#	mv $(CURDIR)/debian/tmp/usr/lib/libnss_rsbac*.so* $(CURDIR)/debian/tmp/lib
	mv $(CURDIR)/debian/tmp/usr/bin/user_aci.sh $(CURDIR)/debian/tmp/usr/bin/user_aci
#	ln -s /lib/librsbac.so $(CURDIR)/debian/tmp/usr/lib/librsbac.so
#	ln -s /lib/libnss_rsbac.so $(CURDIR)/debian/tmp/usr/lib/libnss_rsbac.so

	# m-privacy
	ln -s pam_rsbac.so $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/security/pam_rsbac_de.so
	ln -s pam_rsbac_oldpw.so $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/security/pam_rsbac_oldpw_de.so
	rm -f $(CURDIR)/debian/tmp/usr/bin/backup_all \
		$(CURDIR)/debian/tmp/usr/bin/*acl* \
		$(CURDIR)/debian/tmp/usr/bin/mac_* \
		$(CURDIR)/debian/tmp/usr/bin/user_aci

	dh_install --sourcedir=debian/tmp


# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs main/tools/Changes
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	mp_rsbac
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L libnss-rsbac2 -L librsbac1 -l debian/librsbac1/lib/:debian/libnss-rsbac2/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zxz

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
